class_name SkipIterator extends Iterator

var iterator: Iterator
var amount: int
var _skipped: bool = false

func _init(iterator: Iterator, amount: int) -> void:
    self.iterator = iterator
    self.amount = amount

func next() -> Option:
    if not _skipped:
        iterator.advance_by(amount)
        _skipped = true
    return iterator.next()
